MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023795Open CASCADE[OCCT] OCCT:Meshpublic2013-02-25 12:002018-11-11 12:00
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.2 
Target Version[OCCT] UnscheduledFixed in Version 
Summary0023795: Performance regression of meshing
DescriptionLoad an attached shape.
Mesh it with deflection 0.1.
For Open CASCADE 6.5.0 it takes 0.5 seconds.
For Open CASCADE 6.5.4 it takes about 3 minutes.
Steps To Reproducerestore s.brep s
mesh ss s 0.1
TagsNo tags attached.
Test case numberperf\mesh\bug23795
Attached Files? file icon s.brep (188,886 bytes) 2013-02-25 12:00

- Relationships

-  Notes
(0024860)
oan (developer)
2013-06-25 16:16

Described behavior is introduced by fix for #22313. It performs splitting for all kinds of curves include primitive ones.

Dear Pavel,
please review the fix at branch CR23795.
(0026100)
pdn (developer)
2013-10-16 12:21

It looks that proposed solution is not OK.

It is recommended to check 2D and 3D deviations of edge instead of restriction of algo on B-splines only...
(0080633)
nbv (developer)
2018-11-02 15:29

Dear Bugmaster.

The performance seems t o be OK on the fix 0030322.
(0080831)
git (administrator)
2018-11-07 15:47

Branch CR23795 has been updated forcibly by nbv.

SHA-1: 5017465d24f571169d2e444dc5afa5c2f9ec2086
(0080865)
git (administrator)
2018-11-07 17:21

Branch CR23795 has been updated forcibly by nbv.

SHA-1: 2e75da3dcd1bb04bcfe4a77d3d95d5e458f98ed4
(0080869)
git (administrator)
2018-11-07 17:25

Branch CR23795 has been updated forcibly by nbv.

SHA-1: 3f88b7e35480dad757a4a7cc911c5887656b4339
(0080882)
git (administrator)
2018-11-07 17:55

Branch CR23795 has been updated forcibly by nbv.

SHA-1: 9b64d79202d27d1d795bef4c0b2c1ba1be4fa58f
(0080883)
git (administrator)
2018-11-07 17:57

Branch CR23795 has been updated forcibly by nbv.

SHA-1: 97248be4cbb9d7524ffa1d1a00b808db2d32c543
(0080900)
nbv (developer)
2018-11-07 18:17

Dear Mikhail,

Please review the branch CR23795.

Test results are here:
Windows: http://jenkins-test-12.nnov.opencascade.com/view/MeshTest-master_NBV/view/TESTING/job/MeshTest-master_NBV-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report/ [^]

Linux: http://jenkins-test-12.nnov.opencascade.com/view/MeshTest-master_NBV/view/TESTING/job/MeshTest-master_NBV-OCCT-Debian80-64-opt-test-restart/HTML_20Report/ [^]
(0080933)
msv (developer)
2018-11-08 12:28

The test gives warning
Warning, unknown argument '-AUTOTRIAN'
So, the command was not done.
(0080947)
git (administrator)
2018-11-08 13:49

Branch CR23795 has been updated forcibly by nbv.

SHA-1: fe18ad58e0655d075dff9fe993fb4e16ce7a8f49
(0080948)
nbv (developer)
2018-11-08 13:58

Done. Please review the branch CR23795 again.
(0080949)
git (administrator)
2018-11-08 13:58

Branch CR23795 has been updated forcibly by nbv.

SHA-1: 8573eb712208d847d92ff0980958aa9d5f7a3045
(0080983)
msv (developer)
2018-11-08 18:13

Reviewed.
(0081027)
git (administrator)
2018-11-11 12:00

Branch CR23795 has been deleted by inv.

SHA-1: 8573eb712208d847d92ff0980958aa9d5f7a3045

- Related Changesets
occt: master 70bc8e4a
Timestamp: 2018-11-07 12:44:01
Author: nbv
Committer: bugmaster
Details ] Diff ]
0023795: Performance regression of meshing

Adding test case for the problem.
The issue has been fixed by a patch for #26106.
add - tests/perf/mesh/bug23795 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-02-25 12:00 vro New Issue
2013-02-25 12:00 vro Assigned To => oan
2013-02-25 12:00 vro File Added: s.brep
2013-03-04 11:13 bugmaster Project HOMAG => Open CASCADE
2013-03-05 08:45 kgv Relationship added related to 0023513
2013-03-05 08:57 kgv Product Version 6.5.4 => 6.5.2
2013-03-05 08:57 kgv Summary Preformance regression of meshing => Performance regression of meshing
2013-06-25 16:16 oan Note Added: 0024860
2013-06-25 16:16 oan Relationship deleted related to 0023513
2013-06-25 16:16 oan Relationship added child of 0022313
2013-06-25 16:17 oan Assigned To oan => pdn
2013-06-25 16:17 oan Status new => resolved
2013-10-16 12:21 pdn Note Added: 0026100
2013-10-16 12:21 pdn Status resolved => assigned
2013-10-16 12:21 pdn Assigned To pdn => oan
2016-11-01 14:10 oan Relationship added related to 0026106
2018-11-02 15:29 nbv Note Added: 0080633
2018-11-02 15:29 nbv Assigned To oan => bugmaster
2018-11-02 15:29 nbv Status assigned => feedback
2018-11-07 15:47 git Note Added: 0080831
2018-11-07 17:21 git Note Added: 0080865
2018-11-07 17:25 git Note Added: 0080869
2018-11-07 17:55 git Note Added: 0080882
2018-11-07 17:57 git Note Added: 0080883
2018-11-07 18:17 nbv Note Added: 0080900
2018-11-07 18:17 nbv Assigned To bugmaster => msv
2018-11-07 18:17 nbv Status feedback => resolved
2018-11-08 12:28 msv Note Added: 0080933
2018-11-08 12:28 msv Assigned To msv => nbv
2018-11-08 12:28 msv Status resolved => assigned
2018-11-08 13:49 git Note Added: 0080947
2018-11-08 13:58 nbv Note Added: 0080948
2018-11-08 13:58 nbv Status assigned => resolved
2018-11-08 13:58 git Note Added: 0080949
2018-11-08 18:13 msv Note Added: 0080983
2018-11-08 18:13 msv Assigned To nbv => bugmaster
2018-11-08 18:13 msv Status resolved => reviewed
2018-11-09 15:06 bugmaster Test case number => perf\mesh\bug23795
2018-11-09 15:06 bugmaster Status reviewed => tested
2018-11-11 11:52 bugmaster Changeset attached => occt master 70bc8e4a
2018-11-11 11:52 bugmaster Status tested => verified
2018-11-11 11:52 bugmaster Resolution open => fixed
2018-11-11 12:00 git Note Added: 0081027


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker